#include "sprcollision.h"

#include <stdio.h>
#include "sprite.h"


int sprcollision_check(int s1, int s2)
{
	int s1_left = spr[s1].x;
	int s1_top = spr[s1].y;
	int s1_right = spr[s1].x + spr[s1].w;
	int s1_btm = spr[s1].y + spr[s1].h;
	
	int s2_left = spr[s2].x;
	int s2_top = spr[s2].y;
	int s2_right = spr[s2].x + spr[s2].w;
	int s2_btm = spr[s2].y + spr[s2].h;
	
	//int old_s1_top = spr[s1].old_y;
	int old_s1_btm = spr[s1].old_y + spr[s1].h;
	int old_s2_top = spr[s2].old_y;
	//int old_s2_btm = spr[s2].old_y + spr[s2].h;
	
	if(s1_right>=s2_left && s1_left<=s2_right && s1_btm>=s2_top && s1_top<=s2_btm) {
		if(old_s1_btm<old_s2_top && s1_btm>=s2_top) { //eject up
			spr[s1].y = s2_top - spr[s1].h - 1;
			spr[s1].vy = 0;
			spr[s1].platform = s2;
			spr[s1].ground_flag = 1;
		}
		return 1;
	}
	return 0;
}
