#ifndef _SPRITE_H
#define _SPRITE_H

#define MAX_SPR 16

struct {
	int a;
	float x;
	float y;
	float vx;
	float vy;
	int w;
	int h;
	int ground_flag; //You better group these flags into a single variable, especially when coding for the NES with its limited RAM! I was a bit lazy here.
	int collision_flag;
	int gravity_flag;
	int platform;
	float old_y;
	int xmov;
} spr[MAX_SPR];


void sprites_update();
void sprites_init();

#endif
